//shader compiled by Kr3m

//ad_content

textures/ad_content/1x1
{   
	qer_editorimage textures/ad_content/ad1x1.tga
	nopicmip
	{
		map textures/dt_ads/kr3m1.jpg
	}
	{
		map textures/dt_ads/kr3m1_glow.jpg
		blendfunc add
		rgbGen Wave sin .6 0 0 0
		tcmod scroll 0 -0.75
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .15 0 0 0
		blendfunc add
	}		
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		animmap .125 textures/dt_ads/rotation1.jpg textures/dt_ads/rotation2.jpg textures/dt_ads/rotation3.jpg textures/dt_ads/rotation4.jpg textures/dt_ads/rotation5.jpg textures/dt_ads/rotation6.jpg textures/dt_ads/rotation7.jpg textures/dt_ads/rotation8.jpg
	}
	{
		map textures/dt_ads/glow2.jpg
		blendfunc add
		rgbGen Wave sin .6 0 0 0
		tcmod scroll 0 -0.75
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}

//end ad_content

//sfx

textures/sfx/bounce_largeblock3b3dim
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	nopicmip
	
	{
		map textures/sfx/bounce_largeblock3b3dim.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/sfx/zap_scrollblue1000
{
	q3map_surfacelight	1000
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/sfx/zap_scrollblue.tga
	qer_editorimage textures/sfx/zap_scroll2blue.tga
	cull none
	
	{
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
		rgbgen wave triangle .8 2 0 7
		tcMod scroll 0 1
	}	
	
	{
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
		rgbgen wave triangle 1 1.4 0 5
		tcMod scale  -1 1
		tcMod scroll 0 1
	}	
	
	{
		map textures/sfx/zap_scroll2blue.tga
		blendfunc add
		rgbgen wave triangle 1 1.4 0 6.3
		tcMod scale  -1 1
		tcMod scroll 2 1
	}	
        
	{
		map textures/sfx/zap_scroll2blue.tga
		blendfunc add
		rgbgen wave triangle 1 1.4 0 7.7
		tcMod scroll -1.3 1
	}	
}

//end sfx

//skies

textures/skies/campgrounds
{
	qer_editorimage textures/skies/bluetopclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 400
	q3map_sunExt	.6 .6 .6 150 30 60 3 16
	q3map_lightimage textures/common/white.tga
	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendfunc add
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//end skies
